#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# do not perform "setup.py test"
%bcond_without  setuptools # build without setuptools (for bootstraping)
#
Summary:	Python 2 module to choose appropriate application directories
Summary(pl.UTF-8):	Moduł Pythona 2 do wyboru właściwych katalogów aplikacji
Name:		python-appdirs
Version:	1.4.3
Release:	3
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/appdirs
Source0:	https://files.pythonhosted.org/packages/source/a/appdirs/appdirs-%{version}.tar.gz
# Source0-md5:	44c679904082a2133f5566c8a0d3ab42
URL:		https://github.com/ActiveState/appdirs
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%{?with_setuptools:BuildRequires:      python-setuptools}
%if %{with tests} && "%{py_ver}" < "2.7"
BuildRequires:	python-unittest2
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
%{?with_setuptools:BuildRequires:      python3-setuptools}
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
appdirs is a module that helps you choose an appropriate:
 - user data dir
 - user config dir
 - user cache dir
 - site data dir
 - site config dir
 - user log dir

%description -l pl.UTF-8
appdirs to moduł pomagający wybrać właściwy katalog dla:
 - danych użytkownika
 - konfiguracji użytkownika
 - pamięci podręcznej użytkownika
 - danych systemu
 - konfiguracji systemu
 - logów użytkownika

%package -n python3-appdirs
Summary:	Python 3 module to choose appropriate application directories
Summary(pl.UTF-8):	Moduł Pythona 3 do wyboru właściwych katalogów aplikacji
Group:		Development/Languages/Python

%description -n python3-appdirs
appdirs is a module that helps you choose an appropriate:
 - user data dir
 - user config dir
 - user cache dir
 - site data dir
 - site config dir
 - user log dir

%description -n python3-appdirs -l pl.UTF-8
appdirs to moduł pomagający wybrać właściwy katalog dla:
 - danych użytkownika
 - konfiguracji użytkownika
 - pamięci podręcznej użytkownika
 - danych systemu
 - konfiguracji systemu
 - logów użytkownika

%prep
%setup -q -n appdirs-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py_sitescriptdir}/appdirs.py[co]
%{py_sitescriptdir}/appdirs-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-appdirs
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/appdirs.py
%{py3_sitescriptdir}/__pycache__/appdirs.cpython-*.py[co]
%{py3_sitescriptdir}/appdirs-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-appdirs.git;a=log;h=auto/th/python-appdirs-1.4.3-3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 95343bb
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 230d9d9
- without setuptools bcond added

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 539b1e2
- do not always BuildRequire setuptools

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bad558b
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Mar 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 48b0344
- updated to 1.4.3 (python 3.6 support fixes)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bb5f78f
- python 3.6
- release 6 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> d301802
- use rpm python macros
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5fb0252
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5554c36
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 11a4522
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f5b956c
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f041a4
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu Mar 05 2015 Jakub Bogusz <qboosh@pld-linux.org> eb721b4
- new

